"{ Package: 'stx:libbasic' }"

ArithmeticError subclass:#DomainError
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions-Errors'
!

!DomainError class methodsFor:'documentation'!

documentation
"
    Raised by certain mathematical functions when the function-args
    value is not within the allowed domain.
    For example, 
        arcSin receiver not in -1..1
    or
        log receiver <= 0
"
! !

!DomainError class methodsFor:'initialization'!

initialize
    NotifierString := 'domain error'.
! !

!DomainError class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/DomainError.st,v 1.3 2002-07-31 14:35:30 cg Exp $'
! !
DomainError initialize!
